Subject: Re: bug#38918: 26.3; EBDB fails to edit (add) tags

From: Jorge P. de Morais Neto <[email-masked]>
Date: Sun, 05 Jan 2020 07:49:43 -0300

cl-no-applicable-method: No applicable method: ebdb-record-delete-field, #s(ebdb-record-person #s(ebdb-field-uuid "ce30c771-c0e3-4874-ab90-a8e49078e531") #s(ebdb-field-creation-date (24078 20399 443853 624000)) #s(ebdb-field-timestamp (24081 48590 249568 725000)) (#s(ebdb-field-tags ("TODO"))) nil nil t #s(ebdb-cache "John Doe" ("John Doe" "Doe, John") ("ACME") nil ("[email-masked]") "doe, john" (#s(ebdb-db-file "~/.emacs.d/ebdb" "File: ebdb" #s(ebdb-field-uuid "41310d36-e033-4b31-81fa-c1c9421c8cb7") (24081 48578 561310 979000) (#0 #s(ebdb-record-organization #s(ebdb-field-uuid "88bf0c5e-6c6c-4317-899a-8cf19dd4c6a5") #s(ebdb-field-creation-date (24078 20310 981426 250000)) #s(ebdb-field-timestamp (24078 20310 981328 143000)) nil nil nil nil #s(ebdb-cache "ACME" nil nil nil nil "acme" (#3)) nil ...)) nil "0.1" "" nil ...))) nil ...), (#s(ebdb-field-tags ("TODO")))
Em [2020-01-04 sáb 16:43:04-0800], Eric Abrahamsen escreveu:

> Okay, I've fixed the first problem.

Thanks!

> For the second, are you getting a 'ebdb-unacceptable-field error, or
> what is it?

I get the error attached.  I also attached the EBDB database I used to
get the error.  And how I got it:

1. Start Emacs
2. Invoke M-x ebdb <RET><RET>
3. Move point to the tags line (it has two tags)
4. Hit "E"
5. Delete the second tag
6. Hit [Apply]
7. Hit [Accept]

Notice that I hit [Accept] after hitting [Apply].  This is how the error
occurs.  Sorry for not mentioning that in the first email.

Regards
-- 
- <https://jorgemorais.gitlab.io/justice-for-rms/>
- I am Brazilian.  I hope my English is correct and I welcome feedback.
- Please adopt free formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
- [[https://www.gnu.org/philosophy/free-sw.html][What is free software?]]